
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef clone_ERROR_H
#define clone_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_clone    (12010)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_clone_BAD_PARAMS           H2_ENCODE_ERR(M_clone     , 1)
#define S_clone_CANNOT_CLEAN         H2_ENCODE_ERR(M_clone     , 2)
#define S_clone_UNKNOWN_FILE         H2_ENCODE_ERR(M_clone     , 3)
#define S_clone_FAILED               H2_ENCODE_ERR(M_clone     , 4)
#define S_clone_CLONE_NOT_INIT       H2_ENCODE_ERR(M_clone     , 5)
#define S_clone_CANNOT_CONNECT_TO_POM H2_ENCODE_ERR(M_clone     , 6)
#define S_clone_INIT_CLONE_FAILED    H2_ENCODE_ERR(M_clone     , 7)
#define S_clone_BAD_PARAM            H2_ENCODE_ERR(M_clone     , 8)


/* std errors */
#define S_clone_stdGenoM_ACTIVITY_INTERRUPTED       787145729   /* 12010<<16 | 0x8000 | 100<<8 | 1 */
#define S_clone_stdGenoM_TOO_MANY_ACTIVITIES        787145730   /* 12010<<16 | 0x8000 | 100<<8 | 2 */
#define S_clone_stdGenoM_ACTIVITY_FAILED            787145731   /* 12010<<16 | 0x8000 | 100<<8 | 3 */
#define S_clone_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 787145732   /* 12010<<16 | 0x8000 | 100<<8 | 4 */
#define S_clone_stdGenoM_UNKNOWN_ACTIVITY           787145733   /* 12010<<16 | 0x8000 | 100<<8 | 5 */
#define S_clone_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 787145734   /* 12010<<16 | 0x8000 | 100<<8 | 6 */
#define S_clone_stdGenoM_SYSTEM_ERROR               787145735   /* 12010<<16 | 0x8000 | 100<<8 | 7 */
#define S_clone_stdGenoM_ACTIVITY_ALREADY_ENDED     787145736   /* 12010<<16 | 0x8000 | 100<<8 | 8 */
#define S_clone_stdGenoM_WAIT_INIT_RQST             787145737   /* 12010<<16 | 0x8000 | 100<<8 | 9 */
#define S_clone_stdGenoM_CONTROL_CODEL_ERROR        787145738   /* 12010<<16 | 0x8000 | 100<<8 | 10 */
#define S_clone_stdGenoM_EXEC_TASK_SUSPENDED        787145739   /* 12010<<16 | 0x8000 | 100<<8 | 11 */
#define S_clone_stdGenoM_BAD_BLOCK_TYPE             787145740   /* 12010<<16 | 0x8000 | 100<<8 | 12 */
#define S_clone_stdGenoM_BAD_POSTER_TYPE            787145741   /* 12010<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define CLONE_H2_ERR_MSGS {\
    {"BAD_PARAMS", 1},\
    {"CANNOT_CLEAN", 2},\
    {"UNKNOWN_FILE", 3},\
    {"FAILED", 4},\
    {"CLONE_NOT_INIT", 5},\
    {"CANNOT_CONNECT_TO_POM", 6},\
    {"INIT_CLONE_FAILED", 7},\
    {"BAD_PARAM", 8},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int cloneRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
